1. Properties
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patterns
    • Support and technical support
  • CRM
    • Properties
      • List customer types
        GET
      • List properties
        GET
      • Properties
        GET
      • Customers
        POST
      • Companies
        POST
      • Work addresses
        POST
      • Customers
        PATCH
      • Companies
        PATCH
      • Work addresses
        PATCH
      • Properties
        DELETE
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Assets
      • Understanding assets
      • List asset groups
      • List asset types
      • Asset structure
      • Assets dynamic fields
      • List assets
      • Assets
      • Assets
      • Assets
      • Assets
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
      • Scheduled activities
    • Search
      GET
  • Sales
    • Opportunities
      • List opportunity pipelines
      • List opportunity stages
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List job description templates
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Forms
      • List forms
    • Actions
      • Change job stage
      • Put on hold
      • Remove on hold
      • Mark as complete
      • Mark as uncompleted
      • Mark as free of charge
      • Mark as aborted
  • Users & Vehicles
    • Users
      • List users
  • Settings
    • List titles
    • List advertising types
    • List telephone types
    • List business units
    • List user groups
    • List provinces
  • Webhooks
    • Webhooks
    • Example PHP script
  1. Properties

Work addresses

POST
/customers/{propertyID}/workAddresses

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢201Success
application/json
Bodyapplication/json

🟠400400 Bad request
🟠429429 Too many requests
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/customers/8/workAddresses' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "customerType": null,
    "contact": {
        "title": "Mr",
        "firstName": "firstame-08-05-26-1630",
        "lastName": "Ziemann",
        "telephone": "931.864.0534 x570",
        "mobile": "(208) 606-8645 x27842",
        "email": "firstame-07-05-26-1310@yahoo.com"
    },
    "companyName": "Ullrich, Cremin and Friesen",
    "addressLine1": "7272 S West Street",
    "addressLine2": "Suite 172",
    "addressLine3": "laboris cupidatat velit deserunt qui",
    "town": "Williamworth",
    "provinceID": 12,
    "postcode": "08469-3720",
    "vacant": "Yes",
    "buildingTypeID": 10,
    "UPRN": "cadfb6fe-f70c-4e05-b628-f7dd7efe32e8",
    "hasAfterSalesCareBeenTurnedOn": false
}'
Response Response Example
201 - Example 1
{
    "id": 0,
    "createdByType": "string",
    "createdByID": 0,
    "createdByUser": "string",
    "createdOnDateTime": "2019-08-24T14:15:22.123Z",
    "lastUpdatedOnDateTime": "2019-08-24T14:15:22.123Z",
    "type": "customer",
    "customerType": 0,
    "parentPropertyID": 0,
    "contact": {
        "id": "string",
        "title": "string",
        "firstName": "string",
        "lastName": "string",
        "telephone": "string",
        "mobile": "string",
        "email": "string"
    },
    "companyName": "string",
    "addressLine1": "string",
    "addressLine2": "string",
    "addressLine3": "string",
    "town": "string",
    "province": "string",
    "provinceID": 0,
    "postcode": "string",
    "latitude": "string",
    "longitude": "string",
    "accountingSystemReference": "stringstringstringst",
    "vacant": "Yes",
    "advertisingName": "string",
    "advertisingID": 0,
    "buildingType": "string",
    "buildingTypeID": 0,
    "priceBookName": "string",
    "priceBookID": 0,
    "creditorDays": "string",
    "creditorsDayID": 0,
    "UPRN": "string",
    "links": {
        "self": "string",
        "parent": "string",
        "assets": "string",
        "contracts": "string",
        "opportunities": "string",
        "jobs": "string"
    }
}
Modified at 2026-09-15 11:05:37
Previous
Companies
Next
Customers
Built with